# Uses of Class
java.nio.file.spi.FileSystemProvider

Packages that use FileSystemProvider
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.spi
Service-provider classes for the `java.nio.file` package.

## Uses of FileSystemProvider in java.nio.file

Methods in java.nio.file that return FileSystemProvider
Modifier and Type
Method
Description
`abstract FileSystemProvider`
FileSystem.`provider()`
Returns the provider that created this file system.

## Uses of FileSystemProvider in java.nio.file.spi

Methods in java.nio.file.spi that return types with arguments of type FileSystemProvider
Modifier and Type
Method
Description
`static List<FileSystemProvider>`
FileSystemProvider.`installedProviders()`
Returns a list of the installed file system providers.